.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the doc/base/classes.xml source instead.

.. _class_ScrollBar:

ScrollBar
=========

**Inherits:** :ref:`Range<class_range>` **<** :ref:`Control<class_control>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Inherited By:** :ref:`HScrollBar<class_hscrollbar>`, :ref:`VScrollBar<class_vscrollbar>`

**Category:** Core

Brief Description
-----------------

Base class for scroll bars.

Member Functions
----------------

+----------------------------+------------------------------------------------------------------------------------------------------+
| :ref:`float<class_float>`  | :ref:`get_custom_step<class_ScrollBar_get_custom_step>`  **(** **)** const                           |
+----------------------------+------------------------------------------------------------------------------------------------------+
| void                       | :ref:`set_custom_step<class_ScrollBar_set_custom_step>`  **(** :ref:`float<class_float>` step  **)** |
+----------------------------+------------------------------------------------------------------------------------------------------+

Signals
-------

-  **scrolling**  **(** **)**

Member Variables
----------------

- :ref:`float<class_float>` **custom_step**

Description
-----------

Scrollbars are a :ref:`Range<class_range>` based :ref:`Control<class_control>`, that display a draggable area (the size of the page). Horizontal (:ref:`HScrollBar<class_hscrollbar>`) and Vertical (:ref:`VScrollBar<class_vscrollbar>`) versions are available.

Member Function Description
---------------------------

.. _class_ScrollBar_get_custom_step:

- :ref:`float<class_float>`  **get_custom_step**  **(** **)** const

.. _class_ScrollBar_set_custom_step:

- void  **set_custom_step**  **(** :ref:`float<class_float>` step  **)**


